<?php

namespace App\Services\Interfaces;

use App\Models\Banner;
use Illuminate\Http\Request;

interface BannerRepositoryInterface
{
    public function get(Request $request);
    public function getItem(Banner $banner): Banner;
    public function save(Request $request, ?Banner $banner): Banner;
}
